# 80. الاستعلام: جلب البيانات الأصلية

استعلام للحصول على نسخة من البيانات الأصلية المرفوعة لـ "SoilDataset"، "YieldDataset"، "AsAppliedDataset".

{% hint style="danger" %}
يوصى باسترجاع مجموعة بيانات واحدة فقط  `originDataUrl` لكل طلب.&#x20;
{% endhint %}

`GEOTIFF` و `GEOJSON` متاحة كـ `تنسيقات`. لكن **فقط** `GEOJSON` مدعوم الآن.

{% hint style="danger" %}
`originDataUrl` الرابط متاح فقط لمدة **60 ثانية.**
{% endhint %}

### 1. مثال لـ SoilDataset

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetOriginalDataOfSoilDataset {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]){
    uuid
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      soilDatasets(soilDatasetUuids: ["<placeholder_of_dataset_uuid>"]) {
        uuid
        originDataUrl(format: GEOJSON)
      }
    }
  }
}
```

{% endcode %}

### 2. مثال لـ YieldDataset

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetOriginalDataOfYieldDataset {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]){
    uuid
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      yieldDatasets(yieldDatasetUuids: ["<placeholder_of_dataset_uuid>"]) {
        uuid
        originDataUrl(format: GEOJSON)
      }
    }
  }
}
```

{% endcode %}

### 3. مثال لـ AsAppliedDataset

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetOriginalDataOfAsAppliedDataset {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]){
    uuid
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      asAppliedDatasets(asAppliedDatasetUuids: ["<placeholder_of_dataset_uuid>"]) {
        originDataUrl(format: GEOJSON)
      }
    }
  }
}
```

{% endcode %}

### 4. تنزيل الملف المُولد

بعد التحضير الناجح للملف، من الممكن تنزيله باستخدام `curl` أو نهج مشابه.

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl '<originDataUrl>' --compressed >> '<local_filepath>'
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/ar/mstndat-wajhh-brmjh-alttbyqat/nzrh-aamh-ala-tlbat-wajhh-brmjh-ttbyqat-geopard/80.-alastalam-jlb-albyanat-alaslyh.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
